import pandas as pd
from white_noise import white_noise

filepath = "D:/python_project/TurbineExhaustTemperatureTheromcouple-FourWorkingCondition.xlsx"
origin_data = pd.read_excel(filepath,sheet_name='s4_ttxd')
row_len = origin_data.shape[0]
cow_len = origin_data.shape[1]
disturb_data = origin_data
algorithm_step = white_noise()
# cow_name = "ttxd_12_1"
algorithm_step.set_config('{"WHITE_NOISE_STANDARD_DEVIATION_BASE": 100}')
# for i in range(0,row_len):
#     disturb_data.loc[i,cow_name]=algorithm_step.eval(origin_data.loc[i,cow_name])
# print(disturb_data)
print(algorithm_step.config_)